--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_002_pos.ksh	Wed Aug 31 16:20:40 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_002_pos.ksh	Wed Aug 31 16:20:40 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_rename/zfs_rename.kshlib
 
@@ -71,7 +76,7 @@
 	if [[ ${dataset[i]} == *@* ]]; then
 		data=$(snapshot_mountpoint ${dataset[i]})/$TESTFILE0
 	elif [[ ${dataset[i]} == "$TESTPOOL/$TESTVOL" ]] && is_global_zone; then
-		log_must eval "$DD if=$VOL_R_PATH of=$VOLDATA bs=$BS count=$CNT >/dev/null 2>&1"
+		log_must eval "dd if=$VOL_R_PATH of=$VOLDATA bs=$BS count=$CNT >/dev/null 2>&1"
 		data=$VOLDATA
 	else
 		data=$(get_prop mountpoint ${dataset[i]})/$TESTFILE0
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_003_pos.ksh	Wed Aug 31 16:20:40 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_003_pos.ksh	Wed Aug 31 16:20:40 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -40,7 +44,7 @@
 
 function cleanup
 {
-	datasetexists $snap && log_must $ZFS destroy $snap
+	datasetexists $snap && log_must zfs destroy $snap
 }
 
 log_assert "'zfs rename' can address the abbreviated snapshot name."
@@ -49,14 +53,14 @@
 fs=$TESTPOOL/$TESTFS; snap=$fs@snap
 set -A newname "$fs@new-snap" "@new-snap" "new-snap"
 
-log_must $ZFS snapshot $snap
+log_must zfs snapshot $snap
 log_must datasetexists $snap
 
 typeset -i i=0
 while ((i < ${#newname[*]} )); do
-        log_must $ZFS rename $snap ${newname[$i]}
+        log_must zfs rename $snap ${newname[$i]}
 	log_must datasetexists ${snap%%@*}@${newname[$i]##*@}
-	log_must $ZFS rename ${snap%%@*}@${newname[$i]##*@} $snap
+	log_must zfs rename ${snap%%@*}@${newname[$i]##*@} $snap
 
 	((i += 1))
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_004_neg.ksh	Wed Aug 31 16:20:40 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_004_neg.ksh	Wed Aug 31 16:20:40 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_rename/zfs_rename.kshlib
 
@@ -86,10 +91,10 @@
 
 typeset -i i=0
 while ((i < ${#bad_dataset[*]} )); do
-        log_mustnot $ZFS rename ${bad_dataset[i]} ${bad_dataset[((i + 1))]}
+        log_mustnot zfs rename ${bad_dataset[i]} ${bad_dataset[((i + 1))]}
         log_must datasetexists ${bad_dataset[i]}
 
-        log_mustnot $ZFS rename -p ${bad_dataset[i]} ${bad_dataset[((i + 1))]}
+        log_mustnot zfs rename -p ${bad_dataset[i]} ${bad_dataset[((i + 1))]}
         log_must datasetexists ${bad_dataset[i]}
 
 	((i = i + 2))
@@ -97,10 +102,10 @@
 
 #verify 'rename -p' can not work with snapshots
 
-log_mustnot $ZFS rename -p $TESTPOOL/$TESTFS@snapshot \
+log_mustnot zfs rename -p $TESTPOOL/$TESTFS@snapshot \
 		$TESTPOOL/$TESTFS@snapshot2
 log_must datasetexists $TESTPOOL/$TESTFS@snapshot
-log_mustnot $ZFS rename -p $TESTPOOL/$TESTFS@snapshot \
+log_mustnot zfs rename -p $TESTPOOL/$TESTFS@snapshot \
 		$TESTPOOL/$TESTFS/$TESTFS@snapshot2
 log_must datasetexists $TESTPOOL/$TESTFS@snapshot
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_005_neg.ksh	Wed Aug 31 16:20:40 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_005_neg.ksh	Wed Aug 31 16:20:40 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012, 2015 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -50,7 +50,7 @@
 	poolexists $TESTPOOL1 && \
 		destroy_pool $TESTPOOL1
 	[[ -e $TESTDIR/$TESTFILE1 ]] && \
-		log_must $RM -f $TESTDIR/$TESTFILE1
+		log_must rm -f $TESTDIR/$TESTFILE1
 	cleanup
 }
 
@@ -68,7 +68,7 @@
 
 additional_setup
 
-log_must $MKFILE $MINVDEVSIZE $TESTDIR/$TESTFILE1
+log_must mkfile $MINVDEVSIZE $TESTDIR/$TESTFILE1
 create_pool $TESTPOOL1 $TESTDIR/$TESTFILE1
 
 for src in ${src_dataset[@]} ; do
@@ -79,8 +79,8 @@
 	else
 		dest=${TESTPOOL1}/$dest
 	fi
-	log_mustnot $ZFS rename $src $dest
-	log_mustnot $ZFS rename -p $src $dest
+	log_mustnot zfs rename $src $dest
+	log_mustnot zfs rename -p $src $dest
 
 	#
 	# Verify original dataset name still in use
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_006_pos.ksh	Wed Aug 31 16:20:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_006_pos.ksh	Wed Aug 31 16:20:41 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2015 by Delphix. All rights reserved.
+# Copyright (c) 2015, 2016 by Delphix. All rights reserved.
 #
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_rename/zfs_rename.kshlib
@@ -57,9 +57,9 @@
 vol=$TESTPOOL/$TESTVOL
 snap=$TESTSNAP
 
-log_must eval "$DD if=$DATA of=$VOL_R_PATH bs=$BS count=$CNT >/dev/null 2>&1"
+log_must eval "dd if=$DATA of=$VOL_R_PATH bs=$BS count=$CNT >/dev/null 2>&1"
 if ! snapexists $vol@$snap; then
-	log_must $ZFS snapshot $vol@$snap
+	log_must zfs snapshot $vol@$snap
 fi
 
 rename_dataset $vol@$snap $vol@${snap}-new
@@ -72,7 +72,7 @@
 
 #verify data integrity
 for input in $VOL_R_PATH /dev/zvol/rdsk/$clone; do
-	log_must eval "$DD if=$input of=$VOLDATA bs=$BS count=$CNT >/dev/null 2>&1"
+	log_must eval "dd if=$input of=$VOLDATA bs=$BS count=$CNT >/dev/null 2>&1"
 	if ! cmp_data $VOLDATA $DATA ; then
 		log_fail "$input gets corrupted after rename operation."
 	fi
@@ -79,6 +79,6 @@
 done
 
 destroy_clone $clone
-log_must $ZFS destroy $vol@$snap
+log_must zfs destroy $vol@$snap
 
 log_pass "'zfs rename' can rename volume snapshot as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_007_pos.ksh	Wed Aug 31 16:20:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_007_pos.ksh	Wed Aug 31 16:20:41 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,12 +47,12 @@
 function cleanup
 {
 	if datasetexists $TESTPOOL/$TESTFS ; then
-		log_must $ZFS destroy -Rf $TESTPOOL/$TESTFS
+		log_must zfs destroy -Rf $TESTPOOL/$TESTFS
 	fi
-	log_must $ZFS create $TESTPOOL/$TESTFS
-	log_must $ZFS set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
+	log_must zfs create $TESTPOOL/$TESTFS
+	log_must zfs set mountpoint=$TESTDIR $TESTPOOL/$TESTFS
 
-	$RM -f $SRC_FILE $DST_FILE
+	rm -f $SRC_FILE $DST_FILE
 }
 
 function target_obj
@@ -78,74 +78,74 @@
 BS=512 ; CNT=2048
 SRC_FILE=/tmp/srcfile.$$
 DST_FILE=/tmp/dstfile.$$
-log_must $DD if=/dev/random of=$SRC_FILE bs=$BS count=$CNT
+log_must dd if=/dev/random of=$SRC_FILE bs=$BS count=$CNT
 
 fs=$TESTPOOL/$TESTFS/fs.$$
 fsclone=$TESTPOOL/$TESTFS/fsclone.$$
-log_must $ZFS create $fs
+log_must zfs create $fs
 
 obj=$(target_obj $fs)
-log_must $CP $SRC_FILE $obj
+log_must cp $SRC_FILE $obj
 
 snap=${fs}@snap.$$
-log_must $ZFS snapshot $snap
-log_must $ZFS clone $snap $fsclone
+log_must zfs snapshot $snap
+log_must zfs clone $snap $fsclone
 
 # Rename dataset & clone
 #
-log_must $ZFS rename $fs ${fs}-new
-log_must $ZFS rename $fsclone ${fsclone}-new
+log_must zfs rename $fs ${fs}-new
+log_must zfs rename $fsclone ${fsclone}-new
 
 # Compare source file and target file
 #
 obj=$(target_obj ${fs}-new)
-log_must $DIFF $SRC_FILE $obj
+log_must diff $SRC_FILE $obj
 obj=$(target_obj ${fsclone}-new)
-log_must $DIFF $SRC_FILE $obj
+log_must diff $SRC_FILE $obj
 
 # Rename snapshot and re-clone dataset
 #
-log_must $ZFS rename ${fs}-new $fs
-log_must $ZFS rename $snap ${snap}-new
-log_must $ZFS clone ${snap}-new $fsclone
+log_must zfs rename ${fs}-new $fs
+log_must zfs rename $snap ${snap}-new
+log_must zfs clone ${snap}-new $fsclone
 
 # Compare source file and target file
 #
 obj=$(target_obj $fsclone)
-log_must $DIFF $SRC_FILE $obj
+log_must diff $SRC_FILE $obj
 
 if is_global_zone; then
 	vol=$TESTPOOL/$TESTFS/vol.$$ ;	volclone=$TESTPOOL/$TESTFS/volclone.$$
-	log_must $ZFS create -V 100M $vol
+	log_must zfs create -V 100M $vol
 
 	obj=$(target_obj $vol)
-	log_must $DD if=$SRC_FILE of=$obj bs=$BS count=$CNT
+	log_must dd if=$SRC_FILE of=$obj bs=$BS count=$CNT
 
 	snap=${vol}@snap.$$
-	log_must $ZFS snapshot $snap
-	log_must $ZFS clone $snap $volclone
+	log_must zfs snapshot $snap
+	log_must zfs clone $snap $volclone
 
 	# Rename dataset & clone
-	log_must $ZFS rename $vol ${vol}-new
-	log_must $ZFS rename $volclone ${volclone}-new
+	log_must zfs rename $vol ${vol}-new
+	log_must zfs rename $volclone ${volclone}-new
 
 	# Compare source file and target file
 	obj=$(target_obj ${vol}-new)
-	log_must $DD if=$obj of=$DST_FILE bs=$BS count=$CNT
-	log_must $DIFF $SRC_FILE $DST_FILE
+	log_must dd if=$obj of=$DST_FILE bs=$BS count=$CNT
+	log_must diff $SRC_FILE $DST_FILE
 	obj=$(target_obj ${volclone}-new)
-	log_must $DD if=$obj of=$DST_FILE bs=$BS count=$CNT
-	log_must $DIFF $SRC_FILE $DST_FILE
+	log_must dd if=$obj of=$DST_FILE bs=$BS count=$CNT
+	log_must diff $SRC_FILE $DST_FILE
 
 	# Rename snapshot and re-clone dataset
-	log_must $ZFS rename ${vol}-new $vol
-	log_must $ZFS rename $snap ${snap}-new
-	log_must $ZFS clone ${snap}-new $volclone
+	log_must zfs rename ${vol}-new $vol
+	log_must zfs rename $snap ${snap}-new
+	log_must zfs clone ${snap}-new $volclone
 
 	# Compare source file and target file
 	obj=$(target_obj $volclone)
-	log_must $DD if=$obj of=$DST_FILE bs=$BS count=$CNT
-	log_must $DIFF $SRC_FILE $DST_FILE
+	log_must dd if=$obj of=$DST_FILE bs=$BS count=$CNT
+	log_must diff $SRC_FILE $DST_FILE
 fi
 
 log_pass "Rename dataset, the data haven't changed passed."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_008_pos.ksh	Wed Aug 31 16:20:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_008_pos.ksh	Wed Aug 31 16:20:41 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -48,10 +48,10 @@
 	typeset -i i=0
 	while ((i < ${#datasets[@]})); do
 		if datasetexists ${datasets[$i]}@snap ; then
-			log_must $ZFS destroy ${datasets[$i]}@snap
+			log_must zfs destroy ${datasets[$i]}@snap
 		fi
 		if datasetexists ${datasets[$i]}@snap-new ; then
-			log_must $ZFS destroy ${datasets[$i]}@snap-new
+			log_must zfs destroy ${datasets[$i]}@snap-new
 		fi
 
 		((i += 1))
@@ -67,7 +67,7 @@
 	datasets[${#datasets[@]}]=$TESTPOOL/$TESTVOL
 fi
 
-log_must $ZFS snapshot -r ${TESTPOOL}@snap
+log_must zfs snapshot -r ${TESTPOOL}@snap
 typeset -i i=0
 while ((i < ${#datasets[@]})); do
 	log_must datasetexists ${datasets[$i]}@snap
@@ -75,7 +75,7 @@
 	((i += 1))
 done
 
-log_must $ZFS rename -r ${TESTPOOL}@snap ${TESTPOOL}@snap-new
+log_must zfs rename -r ${TESTPOOL}@snap ${TESTPOOL}@snap-new
 i=0
 while ((i < ${#datasets[@]})); do
 	log_must datasetexists ${datasets[$i]}@snap-new
@@ -83,6 +83,6 @@
 	((i += 1))
 done
 
-log_must $ZFS destroy -rf ${TESTPOOL}@snap-new
+log_must zfs destroy -rf ${TESTPOOL}@snap-new
 
 log_pass "Verify zfs rename -r passed."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_009_neg.ksh	Wed Aug 31 16:20:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_009_neg.ksh	Wed Aug 31 16:20:41 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,24 +47,24 @@
 
 function cleanup
 {
-	typeset snaps=$($ZFS list -H -t snapshot -o name)
+	typeset snaps=$(zfs list -H -t snapshot -o name)
 	typeset exclude
 	typeset snap
 	typeset pool_name
 
 	if [[ -n $KEEP ]]; then
-		exclude=`eval $ECHO \"'(${KEEP})'\"`
+		exclude=`eval echo \"'(${KEEP})'\"`
 	fi
 
 	for snap in $snaps; do
-		pool_name=$($ECHO "$snap" | $AWK -F/ '{print $1}')
+		pool_name=$(echo "$snap" | awk -F/ '{print $1}')
 		if [[ -n $exclude ]]; then
-			$ECHO "$pool_name" | $EGREP -v "$exclude" > /dev/null 2>&1
+			echo "$pool_name" | egrep -v "$exclude" > /dev/null 2>&1
 			if [[ $? -eq 0 ]]; then
-				log_must $ZFS destroy $snap
+				log_must zfs destroy $snap
 			fi
 		else
-			log_must $ZFS destroy $snap
+			log_must zfs destroy $snap
 		fi
 	done
 }
@@ -78,13 +78,13 @@
 	datasets[${#datasets[@]}]=$TESTPOOL/$TESTVOL
 fi
 
-log_must $ZFS snapshot -r ${TESTPOOL}@snap
+log_must zfs snapshot -r ${TESTPOOL}@snap
 typeset -i i=0
 while ((i < ${#datasets[@]})); do
 	# Create one more snapshot
-	log_must $ZFS snapshot ${datasets[$i]}@snap2
-	log_mustnot $ZFS rename -r ${TESTPOOL}@snap ${TESTPOOL}@snap2
-	log_must $ZFS destroy ${datasets[$i]}@snap2
+	log_must zfs snapshot ${datasets[$i]}@snap2
+	log_mustnot zfs rename -r ${TESTPOOL}@snap ${TESTPOOL}@snap2
+	log_must zfs destroy ${datasets[$i]}@snap2
 
 	# Check datasets, make sure none of them was renamed.
 	typeset -i j=0
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_010_neg.ksh	Wed Aug 31 16:20:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_010_neg.ksh	Wed Aug 31 16:20:41 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -54,7 +54,7 @@
 for opts in "-r" "-r -p"; do
 	typeset -i i=0
 	while ((i < ${#datasets[@]})); do
-		log_mustnot $ZFS rename $opts ${datasets[$i]} \
+		log_mustnot zfs rename $opts ${datasets[$i]} \
 			${datasets[$i]}-new
 
 		# Check datasets, make sure none of them was renamed.
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_011_pos.ksh	Wed Aug 31 16:20:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_011_pos.ksh	Wed Aug 31 16:20:41 2016
@@ -24,6 +24,11 @@
 # Copyright 2009 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_rename/zfs_rename.kshlib
 
@@ -42,19 +47,19 @@
 function additional_cleanup
 {
 	if datasetexists $TESTPOOL/notexist ; then
-		log_must $ZFS destroy -Rf $TESTPOOL/notexist
+		log_must zfs destroy -Rf $TESTPOOL/notexist
 	fi
 
 	if datasetexists $TESTPOOL/$TESTFS ; then
-		log_must $ZFS destroy -Rf $TESTPOOL/$TESTFS
+		log_must zfs destroy -Rf $TESTPOOL/$TESTFS
 	fi
-	log_must $ZFS create $TESTPOOL/$TESTFS
+	log_must zfs create $TESTPOOL/$TESTFS
 
 	if is_global_zone ; then
 		if datasetexists $TESTPOOL/$TESTVOL ; then
-			log_must $ZFS destroy -Rf $TESTPOOL/$TESTVOL
+			log_must zfs destroy -Rf $TESTPOOL/$TESTVOL
 		fi
-		log_must $ZFS create -V $VOLSIZE $TESTPOOL/$TESTVOL
+		log_must zfs create -V $VOLSIZE $TESTPOOL/$TESTVOL
 	fi
 }
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_012_neg.ksh	Wed Aug 31 16:20:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_012_neg.ksh	Wed Aug 31 16:20:41 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -54,14 +54,14 @@
 
 longname="$(gen_dataset_name 260 abcdefg)"
 
-log_must $ZFS snapshot $TESTPOOL/$TESTFS@$TESTSNAP
+log_must zfs snapshot $TESTPOOL/$TESTFS@$TESTSNAP
 for ds in ${datasets[@]}; do
 	for opt in ${badopts[@]}; do
-		log_mustnot $ZFS rename $opt $ds ${ds}-new
+		log_mustnot zfs rename $opt $ds ${ds}-new
 	done
-	log_mustnot $ZFS rename $ds
-	log_mustnot $ZFS rename $ds ${ds}-new ${ds}-new1
-	log_mustnot $ZFS rename $ds ${ds}.$longname
+	log_mustnot zfs rename $ds
+	log_mustnot zfs rename $ds ${ds}-new ${ds}-new1
+	log_mustnot zfs rename $ds ${ds}.$longname
 done
 
 log_pass "'zfs rename' fails with illegal scenarios as expected."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_013_pos.ksh	Wed Aug 31 16:20:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rename/zfs_rename_013_pos.ksh	Wed Aug 31 16:20:41 2016
@@ -26,7 +26,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -47,19 +47,19 @@
 function cleanup
 {
 	if datasetexists $TESTPOOL/$TESTCTR@snap-new ; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTCTR@snap-new
+		log_must zfs destroy -f $TESTPOOL/$TESTCTR@snap-new
 	fi
 
 	if datasetexists $TESTPOOL/$TESTCTR@snap ; then
-		log_must $ZFS destroy -f $TESTPOOL/$TESTCTR@snap
+		log_must zfs destroy -f $TESTPOOL/$TESTCTR@snap
 	fi
 
 	if datasetexists $TESTPOOL@snap-new ; then
-		log_must $ZFS destroy -f $TESTPOOL@snap-new
+		log_must zfs destroy -f $TESTPOOL@snap-new
 	fi
 
 	if datasetexists $TESTPOOL@snap ; then
-		log_must $ZFS destroy -f $TESTPOOL@snap
+		log_must zfs destroy -f $TESTPOOL@snap
 	fi
 }
 
@@ -68,17 +68,17 @@
 
 log_onexit cleanup
 
-log_must $ZFS snapshot $TESTPOOL/$TESTCTR@snap
-log_must $ZFS rename -r $TESTPOOL/$TESTCTR@snap $TESTPOOL/$TESTCTR@snap-new
+log_must zfs snapshot $TESTPOOL/$TESTCTR@snap
+log_must zfs rename -r $TESTPOOL/$TESTCTR@snap $TESTPOOL/$TESTCTR@snap-new
 log_must datasetexists $TESTPOOL/$TESTCTR@snap-new
 
-log_must $ZFS snapshot $TESTPOOL@snap
-log_must $ZFS rename -r $TESTPOOL@snap $TESTPOOL@snap-new
+log_must zfs snapshot $TESTPOOL@snap
+log_must zfs rename -r $TESTPOOL@snap $TESTPOOL@snap-new
 log_must datasetexists $TESTPOOL/$TESTCTR@snap-new
 log_must datasetexists $TESTPOOL@snap-new
 
-log_must $ZFS destroy -f $TESTPOOL/$TESTCTR@snap-new
-log_must $ZFS destroy -f $TESTPOOL@snap-new
+log_must zfs destroy -f $TESTPOOL/$TESTCTR@snap-new
+log_must zfs destroy -f $TESTPOOL@snap-new
 
 log_pass "Verify zfs rename -r passed when child datasets" \
 	"don't have a snapshot of the given name."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_reservation/zfs_reservation_001_pos.ksh	Wed Aug 31 16:20:41 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_reservation/zfs_reservation_001_pos.ksh	Wed Aug 31 16:20:41 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -43,8 +48,8 @@
 function cleanup
 {
 	if datasetexists $TESTPOOL/$RESERVATION ; then
-		log_must $ZFS unmount $TESTPOOL/$RESERVATION
-		log_must $ZFS destroy $TESTPOOL/$RESERVATION
+		log_must zfs unmount $TESTPOOL/$RESERVATION
+		log_must zfs destroy $TESTPOOL/$RESERVATION
 	fi
 }
 
@@ -52,8 +57,8 @@
 
 log_assert "Verify that a reservation > 2^64 -1 fails."
 
-log_must $ZFS create $TESTPOOL/$RESERVATION
+log_must zfs create $TESTPOOL/$RESERVATION
 
-log_mustnot $ZFS set reservation=18446744073709551615 $TESTPOOL/$RESERVATION
+log_mustnot zfs set reservation=18446744073709551615 $TESTPOOL/$RESERVATION
 
 log_pass "Unable to set a reservation > 2^64 - 1"
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_reservation/zfs_reservation_002_pos.ksh	Wed Aug 31 16:20:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_reservation/zfs_reservation_002_pos.ksh	Wed Aug 31 16:20:42 2016
@@ -24,6 +24,11 @@
 # Copyright 2007 Sun Microsystems, Inc.  All rights reserved.
 # Use is subject to license terms.
 #
+
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 
 #
@@ -50,8 +55,8 @@
 	for FS in $TESTPOOL/$RESERVATION $TESTPOOL/$RESERVATION2
 	do
 		if datasetexists $FS ; then
-			log_must $ZFS unmount $FS
-			log_must $ZFS destroy $FS
+			log_must zfs unmount $FS
+			log_must zfs destroy $FS
 		fi
 	done
 }
@@ -60,21 +65,21 @@
 
 log_assert "Ensure a reservation of 0 or 'none' is allowed."
 
-log_must $ZFS create $TESTPOOL/$RESERVATION
-log_must $ZFS create $TESTPOOL/$RESERVATION2
+log_must zfs create $TESTPOOL/$RESERVATION
+log_must zfs create $TESTPOOL/$RESERVATION2
 
-log_must $ZFS set reservation=0 $TESTPOOL/$RESERVATION
-log_must $ZFS set reservation=none $TESTPOOL/$RESERVATION2
+log_must zfs set reservation=0 $TESTPOOL/$RESERVATION
+log_must zfs set reservation=none $TESTPOOL/$RESERVATION2
 
 for FS in $TESTPOOL/$RESERVATION $TESTPOOL/$RESERVATION2
 do
 
-	reserve=`$ZFS get -pH reservation $FS | $AWK '{print $3}'`
+	reserve=`zfs get -pH reservation $FS | awk '{print $3}'`
 	if [[ $reserve -ne 0 ]]; then
 		log_fail "ZFS get -p reservation did not return 0"
 	fi
 
-	reserve=`$ZFS get -H reservation $FS | $AWK '{print $3}'`
+	reserve=`zfs get -H reservation $FS | awk '{print $3}'`
 	if [[ $reserve != "none" ]]; then
 		log_fail "ZFS get reservation did not return 'none'"
 	fi
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rollback/zfs_rollback_001_pos.ksh	Wed Aug 31 16:20:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rollback/zfs_rollback_001_pos.ksh	Wed Aug 31 16:20:42 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_rollback/zfs_rollback_common.kshlib
 
@@ -68,12 +72,12 @@
 		log_fail "Unsupported testing condition."
 
 	# Clean up the test environment
-	datasetexists $FS && log_must $ZFS destroy -Rf $FS
+	datasetexists $FS && log_must zfs destroy -Rf $FS
 	if datasetexists $VOL; then
-		$DF -lhF ufs "/dev/zvol/dsk/$VOL" > /dev/null 2>&1
-		(( $? == 0 )) && log_must $UMOUNT -f $TESTDIR1
+		df -lhF ufs "/dev/zvol/dsk/$VOL" > /dev/null 2>&1
+		(( $? == 0 )) && log_must umount -f $TESTDIR1
 
-		log_must $ZFS destroy -Rf $VOL
+		log_must zfs destroy -Rf $VOL
 	fi
 
 	# Create specified test environment
@@ -113,12 +117,12 @@
 		fi
 
 		if [[ $dtst == $VOL ]]; then
-			log_must $UMOUNT -f $TESTDIR1
-			log_must $ZFS rollback $opt $dtst@$snap_point
-			log_must $MOUNT \
+			log_must umount -f $TESTDIR1
+			log_must zfs rollback $opt $dtst@$snap_point
+			log_must mount \
 				/dev/zvol/dsk/$TESTPOOL/$TESTVOL $TESTDIR1
 		else
-			log_must $ZFS rollback $opt $dtst@$snap_point
+			log_must zfs rollback $opt $dtst@$snap_point
 		fi
 
 		for snap in $all_snap; do
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rollback/zfs_rollback_002_pos.ksh	Wed Aug 31 16:20:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rollback/zfs_rollback_002_pos.ksh	Wed Aug 31 16:20:42 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_rollback/zfs_rollback_common.kshlib
 
@@ -53,11 +57,11 @@
 #
 write_mountpoint_dir ${FSSNAP0%%@*}
 
-log_must $ZFS rollback $FSSNAP0
-log_must $ZFS rollback -f $FSSNAP0
+log_must zfs rollback $FSSNAP0
+log_must zfs rollback -f $FSSNAP0
 log_must datasetexists $FSSNAP0
 
-$PKILL ${DD##*/}
+pkill ${DD##*/}
 
 check_files $FSSNAP0
 
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rollback/zfs_rollback_003_neg.ksh	Wed Aug 31 16:20:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rollback/zfs_rollback_003_neg.ksh	Wed Aug 31 16:20:42 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_rollback/zfs_rollback_common.kshlib
 
@@ -45,10 +49,10 @@
 
 function cleanup
 {
-	$PKILL ${DD##*/}
+	pkill ${DD##*/}
 	for snap in $FSSNAP0 $FSSNAP1 $FSSNAP2; do
 		if snapexists $snap; then
-			log_must $ZFS destroy -Rf $snap
+			log_must zfs destroy -Rf $snap
 		fi
 	done
 }
@@ -64,8 +68,8 @@
 
 # Run 'zfs rollback ""|-f <snap>' and it should fail.
 #
-log_mustnot $ZFS rollback $TESTPOOL/$TESTFS@$TESTSNAP
-log_mustnot $ZFS rollback -f $TESTPOOL/$TESTFS@$TESTSNAP
+log_mustnot zfs rollback $TESTPOOL/$TESTFS@$TESTSNAP
+log_mustnot zfs rollback -f $TESTPOOL/$TESTFS@$TESTSNAP
 
 # Create 'clone1' based on 'snap1'.
 #
@@ -73,8 +77,8 @@
 
 # Run 'zfs rollback -r|-rf <snap>' and it should fail.
 #
-log_mustnot $ZFS rollback -r $TESTPOOL/$TESTFS@$TESTSNAP
-log_mustnot $ZFS rollback -rf $TESTPOOL/$TESTFS@$TESTSNAP
+log_mustnot zfs rollback -r $TESTPOOL/$TESTFS@$TESTSNAP
+log_mustnot zfs rollback -rf $TESTPOOL/$TESTFS@$TESTSNAP
 
 log_pass "zfs rollback ''|-f|-r|-rf will fail in different conditions " \
 	"passed."
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rollback/zfs_rollback_004_neg.ksh	Wed Aug 31 16:20:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rollback/zfs_rollback_004_neg.ksh	Wed Aug 31 16:20:42 2016
@@ -25,6 +25,10 @@
 # Use is subject to license terms.
 #
 
+#
+# Copyright (c) 2016 by Delphix. All rights reserved.
+#
+
 . $STF_SUITE/include/libtest.shlib
 . $STF_SUITE/tests/functional/cli_root/zfs_rollback/zfs_rollback_common.kshlib
 
@@ -48,7 +52,7 @@
 
 	for ds in $TESTPOOL $TESTPOOL/$TESTFS $TESTPOOL/$TESTVOL; do
 		if snapexists ${ds}@$TESTSNAP; then
-			log_must $ZFS destroy ${ds}@$TESTSNAP
+			log_must zfs destroy ${ds}@$TESTSNAP
 		fi
 	done
 }
@@ -60,21 +64,21 @@
 set -A badopts "r" "R" "f" "-F" "-rF" "-RF" "-fF" "-?" "-*" "-blah" "-1" "-2"
 
 for ds in $TESTPOOL $TESTPOOL/$TESTFS $TESTPOOL/$TESTVOL; do
-	log_must $ZFS snapshot ${ds}@$TESTSNAP
+	log_must zfs snapshot ${ds}@$TESTSNAP
 done
 
 for ds in $TESTPOOL $TESTPOOL/$TESTFS $TESTPOOL/$TESTVOL; do
 	for opt in "" "-r" "-R" "-f" "-rR" "-rf" "-rRf"; do
-		log_mustnot eval "$ZFS rollback $opt $ds >/dev/null 2>&1"
-		log_mustnot eval "$ZFS rollback $opt ${ds}@$TESTSNAP \
+		log_mustnot eval "zfs rollback $opt $ds >/dev/null 2>&1"
+		log_mustnot eval "zfs rollback $opt ${ds}@$TESTSNAP \
 			${ds}@$TESTSNAP >/dev/null 2>&1"
-		log_mustnot eval "$ZFS rollback $opt >/dev/null 2>&1"
+		log_mustnot eval "zfs rollback $opt >/dev/null 2>&1"
 		# zfs rollback should fail with non-existen snapshot
-		log_mustnot eval "$ZFS rollback $opt ${ds}@nosnap >/dev/null 2>&1"
+		log_mustnot eval "zfs rollback $opt ${ds}@nosnap >/dev/null 2>&1"
 	done
 
 	for badopt in ${badopts[@]}; do
-		log_mustnot eval "$ZFS rollback $badopt ${ds}@$TESTSNAP \
+		log_mustnot eval "zfs rollback $badopt ${ds}@$TESTSNAP \
 				>/dev/null 2>&1"
 	done
 done
--- old/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rollback/zfs_rollback_common.kshlib	Wed Aug 31 16:20:42 2016
+++ new/usr/src/test/zfs-tests/tests/functional/cli_root/zfs_rollback/zfs_rollback_common.kshlib	Wed Aug 31 16:20:42 2016
@@ -25,7 +25,7 @@
 #
 
 #
-# Copyright (c) 2012 by Delphix. All rights reserved.
+# Copyright (c) 2012, 2016 by Delphix. All rights reserved.
 #
 
 . $STF_SUITE/include/libtest.shlib
@@ -38,7 +38,7 @@
 {
 	(( ${#1} == 0 )) && \
 		log_fail "Need give file name."
-	return $($SUM $1 | $AWK '{print $1}')
+	return $(sum $1 | awk '{print $1}')
 }
 
 # Define global variable checksum, get the original file sum.
@@ -58,12 +58,12 @@
 	typeset createclone=${2:-"false"}
 
 	if datasetnonexists $FS; then
-		log_must $ZFS create $FS
-		log_must $ZFS set mountpoint=$TESTDIR $FS
+		log_must zfs create $FS
+		log_must zfs set mountpoint=$TESTDIR $FS
 	fi
 	# Volume can't be created in Local Zone.
 	if datasetnonexists $VOL && is_global_zone; then
-		log_must $ZFS create -V $VOLSIZE $VOL
+		log_must zfs create -V $VOLSIZE $VOL
 	fi
 
 	# Make sure $VOL is volume
@@ -75,16 +75,16 @@
 		# mount it. Otherwise, only check if this ufs file system
 		# was mounted.
 		#
-		log_must eval "$ECHO "y" | \
-			$NEWFS -v /dev/zvol/dsk/$VOL > /dev/null 2>&1"
+		log_must eval "echo "y" | \
+			newfs -v /dev/zvol/dsk/$VOL > /dev/null 2>&1"
 
-		[[ ! -d $TESTDIR1 ]] && log_must $MKDIR $TESTDIR1
+		[[ ! -d $TESTDIR1 ]] && log_must mkdir $TESTDIR1
 
 		# Make sure the ufs filesystem hasn't been mounted,
 		# then mount the new ufs filesystem.
-		$DF -lhF ufs "/dev/zvol/dsk/$VOL" > /dev/null 2>&1
+		df -lhF ufs "/dev/zvol/dsk/$VOL" > /dev/null 2>&1
 		if (( $? != 0 )); then
-			log_must $MOUNT \
+			log_must mount \
 				/dev/zvol/dsk/$TESTPOOL/$TESTVOL $TESTDIR1
 		fi
 	fi
@@ -116,7 +116,7 @@
 			esac
 
 			if datasetnonexists $snap; then
-				log_must $CP /etc/passwd $fname
+				log_must cp /etc/passwd $fname
 				#
 				# using 'lockfs -f' to flush the writes to disk
 				# before taking a snapshot.
@@ -124,11 +124,11 @@
 				if [[ $dtst == $VOL ]]; then
 					log_must /usr/sbin/lockfs -f $TESTDIR1
 				fi
-				log_must $ZFS snapshot $snap
+				log_must zfs snapshot $snap
 			fi
 			if [[ $createclone == "true" ]]; then
 				if datasetnonexists $clone; then
-					log_must $ZFS clone $snap $clone
+					log_must zfs clone $snap $clone
 				fi
 			fi
 			(( ind += 1 ))
@@ -153,20 +153,20 @@
 	typeset dtst
 	typeset snap
 
-	$PKILL ${DD##*/}
+	pkill ${DD##*/}
 
-	$DF -lhF ufs "/dev/zvol/dsk/$VOL" > /dev/null 2>&1
+	df -lhF ufs "/dev/zvol/dsk/$VOL" > /dev/null 2>&1
 	if (( $? == 0 )); then
-		log_must $UMOUNT -f $TESTDIR1
+		log_must umount -f $TESTDIR1
 	fi
 
-	[[ -d $TESTDIR ]] && log_must $RM -rf $TESTDIR/*
-	[[ -d $TESTDIR1 ]] && log_must $RM -rf $TESTDIR1/*
+	[[ -d $TESTDIR ]] && log_must rm -rf $TESTDIR/*
+	[[ -d $TESTDIR1 ]] && log_must rm -rf $TESTDIR1/*
 
 	for dtst in $FS $VOL; do
 		for snap in $TESTSNAP $TESTSNAP1 $TESTSNAP2; do
 			if snapexists $dtst@$snap; then
-				 log_must $ZFS destroy -Rf $dtst@$snap
+				 log_must zfs destroy -Rf $dtst@$snap
 			fi
 		done
 	done
@@ -173,13 +173,13 @@
 
 	# Restore original test environment
 	if datasetnonexists $FS ; then
-		log_must $ZFS create $FS
+		log_must zfs create $FS
 	fi
 	if datasetnonexists $VOL ; then
 		if is_global_zone ; then
-			log_must $ZFS create -V $VOLSIZE $VOL
+			log_must zfs create -V $VOLSIZE $VOL
 		else
-			log_must $ZFS create $VOL
+			log_must zfs create $VOL
 		fi
 	fi
 }
@@ -300,6 +300,6 @@
 		dir=$TESTDIR1
 		log_must ismounted $dir "ufs"
 	fi
-	$DD if=/dev/urandom of=$dir/$TESTFILE1 &
-	log_must $SLEEP 3
+	dd if=/dev/urandom of=$dir/$TESTFILE1 &
+	log_must sleep 3
 }
